AngularJSSamples
================

This is a collection of code samples I am creating for my "Front End JavaScript WITH AngularJS ..." talk at [Derailed](http://www.meetup.com/DeRailed/events/103389992/).

In this talk we will start with the basics of AngularsJS, look at the databinding model directives and using templates. We will quickly build an advanced HTML application using controllers and routes. Coming out of this session you will be able to build some pretty cool applications using AngularJS with surprinsingly little code. You will have an understanding of how AngularJS incorporates the basic principles behind the original MVC software design pattern, and you will have seen some more advanced capabilities of my now favorite JavaScript framework.

[Check out all the demos](http://danielwanja.github.io/AngularJSSamples)

Here are the examples(click on the link for preview):

* 01-ngmodel
    * [example1-binding.html](http://danielwanja.github.io/AngularJSSamples/01-ngmodel/example1-binding.html)
    * [example2-multi-view-binding.html](http://danielwanja.github.io/AngularJSSamples/01-ngmodel/example2-multi-view-binding.html)
    * [example3-two-way-binding.html](http://danielwanja.github.io/AngularJSSamples/01-ngmodel/example3-two-way-binding.html)
* 02-ngcontroller
    * [example1-controller.html](http://danielwanja.github.io/AngularJSSamples/02-ngcontroller/example1-controller.html)
    * [example2-multiple-controllers.html](http://danielwanja.github.io/AngularJSSamples/02-ngcontroller/example2-multiple-controllers.html)
* 03-filter
    * [example1-filter.html](http://danielwanja.github.io/AngularJSSamples/02-ngcontroller/example1-filter.html)
    * [example2-custom.html](http://danielwanja.github.io/AngularJSSamples/02-ngcontroller/example2-custom.html)
* 04-ngrepeat
    * [example1-repeat.html](http://danielwanja.github.io/AngularJSSamples/04-ngrepeat/example1-repeat.html)
    * [example2-repeat.html](http://danielwanja.github.io/AngularJSSamples/04-ngrepeat/example2-repeat.html)
    * [example3-filter.html](http://danielwanja.github.io/AngularJSSamples/04-ngrepeat/example3-filter.html)
    * [example4-selection.html](http://danielwanja.github.io/AngularJSSamples/04-ngrepeat/example4-selection.html)
* 05-routes-and-views
    * [example1-routes.html](http://danielwanja.github.io/AngularJSSamples/05-routes-and-views/example1-routes.html)
* 06-partials
    * [example1-include.html](http://danielwanja.github.io/AngularJSSamples/06-partials/example1-include.html)
* 07-http
    * [example1-http.html](http://danielwanja.github.io/AngularJSSamples/07-http/example1-http.html)
* 08-resource
    * example1-resource.html
* 09-rails-resource
    * example1-rails-resource.html
* 10-directive
    * [example1-ui-bootstrap.html](http://danielwanja.github.io/AngularJSSamples/10-directive/example1-ui-bootstrap.html)
    * [example2-chart.html](http://danielwanja.github.io/AngularJSSamples/10-directive/example2-chart.html)
* 11-navigation
    * [index.html](http://danielwanja.github.io/AngularJSSamples/11-finance-demo/index.html)
